


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: ListUserBookingsCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: ListUserBookingsCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">ListUserBookingsCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 13)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.Command;
<i>5</i>&nbsp;import com.dema.timeregistration.application.CommandGroup;
<i>6</i>&nbsp;import com.dema.timeregistration.application.Parameter;
<i>7</i>&nbsp;import com.dema.timeregistration.application.ParsedCommand;
<i>8</i>&nbsp;import com.dema.timeregistration.service.UserBookingService;
<i>9</i>&nbsp;import com.dema.timeregistration.service.UserService;
<i>10</i>&nbsp;
<i>11</i>&nbsp;import java.util.Set;
<i>12</i>&nbsp;
<i>13</i>&nbsp;public class ListUserBookingsCommand implements Command {
<i>14</i>&nbsp;    private final UserBookingService userBookingService;
<i>15</i>&nbsp;    private final UserService userService;
<i>16</i>&nbsp;
<b class="nc"><i>17</i>&nbsp;    public ListUserBookingsCommand(UserBookingService userBookingService, UserService userService) {</b>
<b class="nc"><i>18</i>&nbsp;        this.userBookingService = userBookingService;</b>
<b class="nc"><i>19</i>&nbsp;        this.userService = userService;</b>
<b class="nc"><i>20</i>&nbsp;    }</b>
<i>21</i>&nbsp;
<i>22</i>&nbsp;    @Override
<i>23</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>24</i>&nbsp;        return &quot;list-user-bookings&quot;;</b>
<i>25</i>&nbsp;    }
<i>26</i>&nbsp;
<i>27</i>&nbsp;    @Override
<i>28</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>29</i>&nbsp;        return &quot;Show a list of bookings for a user using parameters:\n-e email of user\n-f from, start time of booking&quot; +</b>
<i>30</i>&nbsp;                &quot;\n-t -to, end time of booking\nExample of usage:\nlist-user-bookings -e \&quot;daniel@kuzin.dk\&quot; -f \&quot;01/01/2019 12:00\&quot; -t\&quot;31/12/2019 12:00\&quot;&quot;;
<i>31</i>&nbsp;    }
<i>32</i>&nbsp;
<i>33</i>&nbsp;    @Override
<i>34</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>35</i>&nbsp;        return CommandGroup.USER_BOOKING;</b>
<i>36</i>&nbsp;    }
<i>37</i>&nbsp;
<i>38</i>&nbsp;    @Override
<i>39</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>40</i>&nbsp;        return Utils.newHashSet(</b>
<i>41</i>&nbsp;                new Parameter(&quot;e&quot;),
<i>42</i>&nbsp;                new Parameter(&quot;f&quot;),
<i>43</i>&nbsp;                new Parameter(&quot;t&quot;)
<i>44</i>&nbsp;        );
<i>45</i>&nbsp;    }
<i>46</i>&nbsp;
<i>47</i>&nbsp;    @Override
<i>48</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>49</i>&nbsp;        int userId = userService.getUserId(parsedCommand.get(&quot;e&quot;));</b>
<b class="nc"><i>50</i>&nbsp;        if(this.userBookingService.listUserBookings(parsedCommand.get(&quot;f&quot;), parsedCommand.get(&quot;t&quot;), userId).isEmpty()) {</b>
<b class="nc"><i>51</i>&nbsp;            System.out.println(&quot;No user booking could be found&quot;);</b>
<i>52</i>&nbsp;        } else {
<b class="nc"><i>53</i>&nbsp;            System.out.println(this.userBookingService.listUserBookings(parsedCommand.get(&quot;f&quot;), parsedCommand.get(&quot;t&quot;), userId));</b>
<i>54</i>&nbsp;        }
<b class="nc"><i>55</i>&nbsp;    }</b>
<i>56</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
